import { request } from '@/service/request';

/**
 * 获取充电站信息分页列表（策略列表）
 * @param params
 * @returns
 */
export function fetchGetgetStationInfoPageByEquipment(params: any) {
  return request<Api.device.ThirdPartyStationInfoPageVO[]>({
    url: '/smqjh-system/api/zsdd/getStationInfoPageByEquipment',
    method: 'POST',
    data: params
  });
}

/**
 * 查询策略费用
 * @param params
 * @returns
 */
export function fetchgetPolicyFee(params: any) {
  return request<Api.device.ServiceRateConfig[]>({
    url: '/smqjh-system/api/zsdd/getPolicyFee',
    method: 'GET',
    params
  });
}
/**
 * 市民请集合保存策略费用
 * @param params
 * @returns
 */

export function fetchsaveBatchPolicyFee(params: any) {
  return request({
    url: '/smqjh-system/api/zsdd/saveBatchPolicyFee',
    method: 'POST',
    data: params
  });
}

/**
 * 删除市民策略费用
 * @param params
 * @returns
 */
export function fetchDeletePolicyFee(params: any) {
  return request({
    url: '/smqjh-system/api/zsdd/deletePolicyFee',
    method: 'POST',
    data: params
  });
}
